post
https://sandbox.saner.secpod.com/AncorWebService/perform
Reboot Device.
This method allows you to reboot one or more devices or devices belonging to a group simultaneously.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| accountid | Account identifier | Yes | string |
| starttype | Type of reboot (e.g., immediate) | Yes | string |
| rebootmessage | Message displayed before reboot | Yes | string |
| name | Name of the reboot task | Yes | string |
| device | Device name(s) | Yes | array |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.Patch.rebootDevice(
accountid="<YOUR_ACCOUNT_ID>",
starttype="immediate",
rebootmessage="rebooting",
name="reboot device",
device=["device 1","device 2"]
)
print(response)
client.close()Requires Python 3.9 or later.